/*-------------------------------------------------------------------------
This software is provided 'as-is', without any express or implied warranty.
In no event will the authors be held liable for any damages arising from
the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
   claim that you wrote the original software. If you use this software
   in a product, an acknowledgment in the product documentation would be
   appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not
   be misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.
-------------------------------------------------------------------------*/

#include <stdlib.h>
#include <string.h>
#include "fortran_macros.h"
#include "ADF_fbind.h"
#include "ADF_U1_internals.h"

void FMNAME(au1cn, AU1CN) (double *id, STR_PSTR(name), STR_PSTR(label),
	int *depth, int *numnodes, int *ier STR_PLEN(name) STR_PLEN(label)) {
	int len_name = (int)STR_LEN(name);
	int len_label = (int)STR_LEN(label);
	FMCALL(au1cn2, AU1CN2)(id, STR_PTR(name), &len_name, STR_PTR(label), &len_label,
        	depth, numnodes, ier);
}

void FMNAME(au1rnid, AU1RNID) (double *id, STR_PSTR(name), STR_PSTR(label),
	int *istart, int *ilen, int *depth, int *ilen_ret, double *node_id,
        int *ier STR_PLEN(name) STR_PLEN(label)) {
	int len_name = (int)STR_LEN(name);
	int len_label = (int)STR_LEN(label);
	FMCALL(au1rnid2, AU1RNID2)(id, STR_PTR(name), &len_name, STR_PTR(label), &len_label,
        	istart, ilen, depth, ilen_ret, node_id, ier);
}

void FMNAME(au1can, AU1CAN) (double *id, STR_PSTR(name), STR_PSTR(label),
	int *nancstr, int *ier STR_PLEN(name) STR_PLEN(label)) {
	int len_name = (int)STR_LEN(name);
	int len_label = (int)STR_LEN(label);
	FMCALL(au1can2, AU1CAN2)(id, STR_PTR(name), &len_name, STR_PTR(label), &len_label,
        	nancstr, ier);
}

void FMNAME(au1raid, AU1RAID) (double *id, STR_PSTR(name), STR_PSTR(label),
	int *istart, int *ilen, int *ilen_ret, double *node_id,
        int *ier STR_PLEN(name) STR_PLEN(label)) {
	int len_name = (int)STR_LEN(name);
	int len_label = (int)STR_LEN(label);
	FMCALL(au1raid2, AU1RAID2)(id, STR_PTR(name), &len_name, STR_PTR(label), &len_label,
        	istart, ilen, ilen_ret, node_id, ier);
}

